Vsan Vum System Fetch Iso Depot Cookie
Fetch and save support.broadcom.com cookie string for VMware ISO download
authentication
Fetch and save support.broadcom.com cookie string for VMware ISO download authentication
Required privileges: Global.Settings
Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanVumSystem/{moId}/FetchIsoDepotCookie
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanVumSystem/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Request Body
FetchIsoDepotCookieRequestType
of type(s)
application/json
Required
{
"username": "string",
"password": "string"
}
string
username
Required
Username for support.broadcom.com
string
password
Required
Password for support.broadcom.com
Responses
204
No Content
Operation doesn't return any data structure
500
Failure
Returns
VsanFault
of type(s)
application/json
This response body class contains all of the following:
VimFault
{
"_typeName": "string",
"faultCause": {
"_typeName": "string",
"faultCause": "MethodFault Object",
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
]
},
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
]
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"username":"string","password":"string"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanVumSystem/{moId}/FetchIsoDepotCookie